Subject: Re: [X2Go-Dev] Bug#316: Can't see session icon in shadow sessions

From: Ricardo Díaz Martín <[email-masked]>
Date: Wed, 30 Oct 2013 08:14:09 +0100

tag #316 moreinfo
tag #316 - patch

Hi Mike,

Yes, I think the way you said will be better. So I'm going to add this
command line option and make a new patch ;-)

2013/10/29 Mike Gabriel <[email-masked]>

> tag #316 moreinfo
> tag #316 - patch
> thanks
>
> Hi Ricardo,
>
>
> On  Fr 04 Okt 2013 13:33:56 CEST, Ricardo Díaz Martín wrote:
>
>  Package: x2goclient
>> Version: 4.1.0
>> Tag: patch
>>
>> When you launch a session using .desktop file (session saved as a launcher
>> in the desktop) you can't see the tray icon though you choose this option
>> in x2go settings
>>
>> Attaching patch to solve this issue.
>>
>
> I have looked at your patch (and the concept behind it) more closely. Your
> current patch will break setups where people launch X2Go Client via a
> .desktop file and expect no traces of X2Go Client to be seen on screen
> apart from the session itself.
>
> Suggestions: introduce a new cmdline option --tray-icon. This Option
> activates the tray icon even if it is disabled in the
> ~/.x2goclient/settings file. In combination with --hide the --tray-icon
> command then makes the tray icon visible for hidden X2Go Client instances.
>
> How about that?
>
> Mike
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.**de<[email-masked]>,
> http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.**de/freebusy/m.gabriel%40das-**
> netzwerkteam.de.xfb<https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb>
>